<template>
  <el-container>

    <el-aside>
      <basic-container>
        <div ref="TreeBox" style="height: calc(100vh - 144px);!important;">
          <div class="headerCon">
            <el-button icon="el-icon-plus" plain size="small" type="primary" @click="addClickHandler">创建
            </el-button>
            <el-button icon="el-icon-edit" plain size="small" type="primary" @click="editClickHandler">修改
            </el-button>
            <el-button icon="el-icon-delete" plain size="small" type="danger" @click="delClickHandler">删除
            </el-button>
            <el-button icon="el-icon-download" plain size="small" type="primary" @click="exportClickHandler">导出
            </el-button>
            <el-button icon="el-icon-upload2" plain size="small" type="primary" @click="uploadClickHandler">导入
            </el-button>
            <el-button class="smallBtn" plain size="small" type="primary"
                       @click="checkViewClickHandler">查看使用范围
            </el-button>
          </div>
          <!-- 左侧树         -->
          <div style="height:  calc(100vh - 280px);">
            <avue-tree :data="treeData" :option="treeOption" @node-click="nodeClick">
          <span slot-scope="{ node, data }" class="el-tree-node__label">
           <span style="font-size: 15px">
              <i class="el-icon-s-promotion"></i>
                {{ (node || {}).label }}
            </span>
          </span>
            </avue-tree>
          </div>
        </div>
      </basic-container>
    </el-aside>

    <el-main>
      <basic-container>
      </basic-container>
    </el-main>

  </el-container>
</template>
<script>
export default {
  data() {
    return {
      form: {},
      data: [
        {
          name: "张三",
          sex: "男",
          showType:'Ludc'
        },
      ],
      option: {
        column: [
          {
            label: "姓名",
            prop: "name",
          },
          {
            label: "性别",
            prop: "sex",
            type: "select",
            dicData: [
              {
                label: "男",
                value: 0,
              },
              {
                label: "女",
                value: 1,
              },
            ],
          },
          {
            label: '源对象',
            prop: 'showType',
            type: 'select',
            cascader: ['linkType', 'templateId', 'SubUILayout', 'searchObjType', 'queryTemplateName'],
            placeholder: "请输入内容",
            dicUrl: '/api/uiManagerController/getBtmDatasByPage?page=1&limit=-1',
            filterable: true,
            props: {
              label: 'name',
              value: 'name',
              desc: 'label'
            },
            rules: [
              {
                required: true,
                message: '请选择内容',
                trigger: 'change'
              }
            ],
          },
        ],
      },
    };
  },
  methods: {
    beforeOpen(done, type) {
      this.$alert(`我是${type}`, {
        confirmButtonText: "确定",
        callback: (action) => {
          if (["view", "edit"].includes(type)) {
            // 查看和编辑逻辑
            this.form.showType = 'Ludc';
          } else {
            //新增逻辑
            this.form.name = "初始化赋值";
            this.form.sex = 0;
            this.form.showType = 'Ludc';
          }
          done();
        },
      });
    },
  },
};
</script>
